using UnityEngine;
using System.Collections;

public class GuiTextScr : MonoBehaviour
{
	float transpModifier = 0.5f;
	float transparency;
	Color currentColor;
	
	// Use this for initialization
	void Start ()
	{
		currentColor = Color.white;
		transparency = 1.0f;
	}
	
	// Update is called once per frame
	void Update ()
	{
		transparency -= transpModifier * Time.deltaTime;
		if (transparency <= 0.0f)
		{
			Destroy (gameObject);
		}
		else
		{
			currentColor.a = transparency;
			gameObject.guiText.material.color = currentColor;
		}
	}
}
