using UnityEngine;
using System.Collections;

public class SnakeScr : MonoBehaviour
{
	float rotSpeed = 180.0f;
	Vector3 currRotation;
	public GameObject player;
	
	// Use this for initialization
	void Start ()
	{
		player = GameObject.Find ("Player");
		currRotation = transform.localEulerAngles;
	}
	
	// Update is called once per frame
	void Update ()
	{
		currRotation.z += rotSpeed * Time.deltaTime;
		if (currRotation.z >= 360.0f)
		{
			currRotation.z = 0.0f;
		}
		transform.localEulerAngles = currRotation;
	}
	
	void OnTriggerEnter(Collider other)
	{
		if (other.gameObject == player)
		{
			Application.LoadLevel ("Game_Over");
		}
	}
}
